﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{F4CA9DCF-B213-4987-9EB4-A7BC74A8497F}</ProjectGuid>
    <OutputType>library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>HiVE.BasicModels</RootNamespace>
    <AssemblyName>HiVE.BasicModels</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Xml" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Xaml">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="isBoxItem\BoxBasicMainWindowDetails.cs" />
    <Compile Include="isBoxItem\BoxBasicMethods.cs" />
    <Compile Include="isBoxItem\BoxColorDetails.cs" />
    <Compile Include="isBoxItem\BoxDdcListItemsNode.cs" />
    <Compile Include="isBoxItem\BoxImage.cs" />
    <Compile Include="isBoxItem\BoxMetroRadioButton.cs" />
    <Compile Include="isBoxItem\BoxMetroTitle.cs" />
    <Compile Include="isBoxItem\BoxSpecialMethods.cs" />
    <Compile Include="isBoxItem\BoxTryCatch.cs" />
    <Compile Include="isClass\BasicAssemblyAttributeAccessors.cs" />
    <Compile Include="isClass\BasicMethods.cs" />
    <Compile Include="isClass\ColorList.cs" />
    <Compile Include="isClass\EnumExtensions.cs" />
    <Compile Include="isClass\HelperFunctions.cs" />
    <Compile Include="isClass\IconUtilities.cs" />
    <Compile Include="isClass\SharedResourceDictionary.cs" />
    <Compile Include="isClass\SpecialDescriptionAttribute.cs" />
    <Compile Include="isClass\TryCatch.cs" />
    <Compile Include="isClass\UnitedButtonSize.cs" />
    <Compile Include="isClass\_Basic_Syntax_TryCatch.cs" />
    <Compile Include="isConverter\Converter_ActualHeightToHeightMinusToolStripLogo.cs" />
    <Compile Include="isConverter\Converter_ActualWidthToWidthMinusMargin.cs" />
    <Compile Include="isConverter\Converter_BitmapSourceToByteArray.cs" />
    <Compile Include="isConverter\Converter_BooleanToInverse.cs" />
    <Compile Include="isConverter\Converter_BooleanToScrollBarVisibility.cs" />
    <Compile Include="isConverter\Converter_BooleanToVisibility.cs" />
    <Compile Include="isConverter\Converter_BooleanToWrapOrWrapWithOverflow.cs" />
    <Compile Include="isConverter\Converter_ByteArrayToBitmapImage.cs" />
    <Compile Include="isConverter\Converter_DecimalToString.cs" />
    <Compile Include="isConverter\Converter_EnumToBoolean.cs" />
    <Compile Include="isConverter\Converter_GridViewRowBackgroundToBrushes.cs" />
    <Compile Include="isConverter\Converter_ImageToImage.cs" />
    <Compile Include="isConverter\Converter_MetroTitleItemToUserControlPath.cs" />
    <Compile Include="isConverter\Converter_NullToVisibility.cs" />
    <Compile Include="isConverter\Converter_SelectionModeToVisibility.cs" />
    <Compile Include="isConverter\Converter_StringEmptyToVisibility.cs" />
    <Compile Include="isConverter\Converter_VisibilityToInverse.cs" />
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <AppDesigner Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <None Include="isBuilding\HiVE.AutoSecured.build" />
    <None Include="isBuilding\HiVE.BasicModels.saproj" />
  </ItemGroup>
  <ItemGroup>
    <Page Include="isResourceDictionary\ButtonDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="isResourceDictionary\CheckBoxDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="isResourceDictionary\ComboBoxDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="isResourceDictionary\GridDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="isResourceDictionary\ImageDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="isResourceDictionary\SpanDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="isResourceDictionary\StatusBarDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="isResourceDictionary\TabItemDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="isResourceDictionary\TextBlockDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="isResourceDictionary\TextBoxDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="isResourceDictionary\TreeViewDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="isResourceDictionary\_SharedResourceDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\HiVE.MsgBoxSelector Platform\HiVE.MsgBoxSelector [WPF]\HiVE.MsgBoxSelector [WPF].csproj">
      <Project>{a6e52f55-e833-49d1-a887-50645acf273c}</Project>
      <Name>HiVE.MsgBoxSelector [WPF]</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="isResources\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- Using SmartAssembly Project -->
  <Import Project="isBuilding\HiVE.AutoSecured.build" />
</Project>